Index: src/samples/osgi/src/main/java/org/MyClass.java
===================================================================
--- src/samples/osgi/src/main/java/org/MyClass.java	(revision 1739)
+++ src/samples/osgi/src/main/java/org/MyClass.java	(working copy)
@@ -1,5 +0,0 @@
-package org;
-
-public class MyClass {
-    
-}
\ No newline at end of file
Index: src/samples/osgi/src/main/groovy/org/gradle/GradleActivator.groovy
===================================================================
--- src/samples/osgi/src/main/groovy/org/gradle/GradleActivator.groovy	(revision 0)
+++ src/samples/osgi/src/main/groovy/org/gradle/GradleActivator.groovy	(revision 0)
@@ -0,0 +1,19 @@
+package org.gradle
+
+import org.osgi.framework.BundleActivator
+import org.osgi.framework.BundleContext
+
+/**
+* A sample OSGi Activator written in Groovy.
+*
+* @author Hamlet D'Arcy
+*/ 
+public class GradleActivator implements BundleActivator {
+
+    public void start(BundleContext context) {
+        println "Hello from a Groovy Gradle Activator"
+    }
+
+    public void stop(BundleContext context) { 
+    }
+}
\ No newline at end of file
Index: src/samples/osgi/build.gradle
===================================================================
--- src/samples/osgi/build.gradle	(revision 1739)
+++ src/samples/osgi/build.gradle	(working copy)
@@ -1,12 +1,23 @@
-group = 'gradle'
+group = 'gradle_tooling'
 version = '1.0'
-usePlugin('java')
-usePlugin('osgi')
 
+usePlugin 'groovy'
+usePlugin 'osgi'
+
 repositories {
-    flatDir(dirs: "$rootDir/lib")
+    mavenRepo(urls: 'http://repository.jboss.org/maven2/')
 }
 
 dependencies {
-    compile ":somestuff:1.0@tar.gz"
+    groovy group: 'org.codehaus.groovy', name: 'groovy-all', version: '1.6.0'
+    compile( 'org.eclipse:osgi:3.4.3.R34x_v20081215-1030' )
 }
+
+
+configure(jar.osgi) {
+    version = '1.0'
+    name = 'Example Gradle Activator'
+    instruction 'Bundle-Activator', 'org.gradle.GradleActivator'
+    instruction 'Import-Package', '*'
+    instruction 'Export-Package', '*'
+}
